summaryrefslogtreecommitdiffstats
path: root/office/pstotext/pstotext.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/pstotext/pstotext.SlackBuild')
-rw-r--r--office/pstotext/pstotext.SlackBuild37
1 files changed, 17 insertions, 20 deletions
diff --git a/office/pstotext/pstotext.SlackBuild b/office/pstotext/pstotext.SlackBuild
index d7cb8c4d91..288489bf04 100644
--- a/office/pstotext/pstotext.SlackBuild
+++ b/office/pstotext/pstotext.SlackBuild
@@ -1,9 +1,5 @@
#!/bin/sh
-# Build Script for pstotext (tested with
-# version(s): 1.9) pstotext can be obtained at
-# http://www.cs.wisc.edu/~ghost/doc/pstotext.htm
-
# Written by Ismael Cortes (leamsi.setroc@gmail.com)
# I, as writer and author, give this script and its
# intellectual property to the public domain.
@@ -15,6 +11,7 @@ VERSION=1.9
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,42 +19,42 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-DOCFILES="pstotext.hlp pstotext.txt"
+set -e
-# Cleanup and get ready.
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT || exit 1
-cd $TMP || exit 1
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
-make CC="gcc $SLKCFLAGS" || exit 1
+make CC="gcc $SLKCFLAGS"
mkdir -p $PKG/usr/bin
mv pstotext $PKG/usr/bin/
-chmod 755 $PKG/usr/bin/pstotext
-
+chmod 0755 $PKG/usr/bin/pstotext
strip --strip-unneeded $PKG/usr/bin/pstotext
-# Install and gzip man page.
mkdir -p $PKG/usr/man/man1
-gzip -9c pstotext.1 > $PKG/usr/man/man1/pstotext.1.gz || exit 1
-chmod 644 $PKG/usr/man/man1/pstotext.1.gz
+gzip -9c pstotext.1 > $PKG/usr/man/man1/pstotext.1.gz
-# Install DOCFILES
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a pstotext.hlp pstotext.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-chown -R root:root $PKG
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+chown -R root:root .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}